<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>

<body>
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<?PHP

ini_set('max_execution_time', 99999);
include ("../Conections/SecurityAccess.php");

		////Se sube todo el Archivo .CSV
		if (isset($_FILES['file']))
		{	
			$file=$_FILES['file']['tmp_name'];
			
			$handle = fopen($file,"r");
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////
		////Se Valida si se selecciona un Archivo de tipo .CSV 	
			$explode_name = explode('.',$_FILES['file']['name']);
			if($explode_name[1] == 'csv'){
			  $csv_file = true;
			  $ValExtension="OK";
			}
			else{
			  $csv_file = false;
			  $ValExtension="NO";
			}  
			
		if ($ValExtension=="OK")
		{
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		////Aqui adentro va toro el Proceso
		$CuentaRegTotal = "0";
		while(($fileop = fgetcsv($handle,1000, ",")) !== false)
			{///Inicia While
				$Cuenta_CSV=$fileop[0];
				$NoPall_CSV=$fileop[1];
				$CodSku_CSV=$fileop[2];
				$UbicNe_CSV=$fileop[3];
				
				
				///Identificar Si el No de Pallet existe
				$sqlIP = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$Cuenta_CSV' AND NO_PALLET='$NoPall_CSV' AND SKU='$CodSku_CSV'");
				if (mysql_numrows($sqlIP)==0)
				{
					echo "<script>alert('El numero de pallet: $NoPall_CSV no existe dentro del Stock.');</script>";
				}
				else
				{///Inicia IF Existencia del Pallet
				
				$CuentaRegTotal=$CuentaRegTotal+1;
				
				////Hora y Fecha
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$FechaOk=date("Y/m/d");
				
				////Obtener información del Pallet
						$sqlIP3 = mysql_query("select SKU_ALT,NO_DOCUMENTO,UBICACION,CANTIDAD from tabla_inventario WHERE CVE_CUENTA='$Cuenta_CSV' AND NO_PALLET='$NoPall_CSV' AND SKU='$CodSku_CSV'");
						if (mysql_numrows($sqlIP3)==0) echo "";
						else{
						$registroIP3=mysql_fetch_array($sqlIP3);
						}
						if (mysql_numrows($sqlIP3)>0)
						{
						$AlterNew=$registroIP3["SKU_ALT"];
						$NoDocNew=$registroIP3["NO_DOCUMENTO"];
						$UAnteNew=$registroIP3["UBICACION"];
						$CantiNew=$registroIP3["CANTIDAD"];
						}
				
					////Generar Folio para Traspaso Negativo en Karex
						$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
						$libPK = mysql_query($sqlIDPK); 
						$rs_libPK = mysql_fetch_assoc($libPK); 
						$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
						
					////Guardando Kardex Negativo
						$sqlGKN = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','1','$Cuenta_CSV','$CodSku_CSV','$AlterNew','$NoDocNew','TRASPASO -','$UAnteNew','$NoPall_CSV','-$CantiNew','$FechaOk','$HoraOK','HelpDesk')";
						$resultadoGKN=mysql_query($sqlGKN,$conexion) or die(mysql_error());
						
					////Generar Folio para Traspaso Positivo en Karex
						$sqlIDPK2 = "select max(ID) as ultimo_FOLIOPK2 from tabla_kardex"; 
						$libPK2 = mysql_query($sqlIDPK2); 
						$rs_libPK2 = mysql_fetch_assoc($libPK2); 
						$id_nuevoPK2 = $rs_libPK2['ultimo_FOLIOPK2'] + 1;
						
					////Guardando Kardex Positivo
						$sqlGKP = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK2','1','$Cuenta_CSV','$CodSku_CSV','$AlterNew','$NoDocNew','TRASPASO +','$UbicNe_CSV','$NoPall_CSV','$CantiNew','$FechaOk','$HoraOK','HelpDesk')";
						$resultadoGKP=mysql_query($sqlGKP,$conexion) or die(mysql_error());
				
///****************************************************************************************************************************				
				
					////Identificar Datos del Pallet dentro del Inventario
						$sqlIP2 = mysql_query("select PRIORIDAD from tabla_prioridad WHERE CVE_CUENTA='$Cuenta_CSV' AND UBICACION='$UbicNe_CSV'");
						if (mysql_numrows($sqlIP2)==0) echo "";
						else{
						$registroIP2=mysql_fetch_array($sqlIP2);
						}
						if (mysql_numrows($sqlIP2)>0)
						{
						$PrioriNew=$registroIP2["PRIORIDAD"];
						}
						
					///Consulta que Modifica la Ubicacion dentro del Inventario (tabla_inventario)
						$sqlEU="UPDATE tabla_inventario SET UBICACION='$UbicNe_CSV',PRIORIDAD='$PrioriNew' WHERE CVE_CUENTA='$Cuenta_CSV' AND NO_PALLET='$NoPall_CSV' AND SKU='$CodSku_CSV'";
						$resultadoEU=mysql_query($sqlEU,$conexion) or die(mysql_error());
				
				}///Termina IF Existencia del Pallet	
	
			}///Termina While
				
				echo "<script>alert('SE TRASPASARON $CuentaRegTotal PALLETS DE FORMA EXITOSA.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='2; URL=TraspasoMasivo_CSV.php'>";

		}
		////////FIN SE SUBE TODO EL ARCVHIVO CSV////////////

		}
?>
</body>
</html>